Bug 1662043 - Error in documentation for service account groups
Summary: Error in documentation for service account groups
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 3.11.0
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: 3.11.z
Assignee: Jeana Routh
QA Contact: scheng
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-25 14:08 UTC by rehan
Modified: 2020-04-03 17:05 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-03 17:05:13 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description rehan 2018-12-25 14:08:52 UTC
Document URL: 
https://docs.openshift.com/container-platform/3.11/dev_guide/service_accounts.html
Section Number and Name: 


Describe the issue: 
Currently this contains the text:

system:serviceaccount
    Includes all service accounts in the system.
system:serviceaccount:<project>
    Includes all service accounts in the specified project.
For example, to allow all service accounts in all projects to view resources in the top-secret project:
$ oc policy add-role-to-group view system:serviceaccount -n top-secret
To allow all service accounts in the managers project to edit resources in the top-secret project:
$ oc policy add-role-to-group edit system:serviceaccount:managers -n top-secret


But This should in fact be:

system:serviceaccounts    <---- with an s 
    Includes all service accounts in the system.
system:serviceaccounts:<project>
    Includes all service accounts in the specified project.
For example, to allow all service accounts in all projects to view resources in the top-secret project:
$ oc policy add-role-to-group view system:serviceaccounts -n top-secret
To allow all service accounts in the managers project to edit resources in the top-secret project:
$ oc policy add-role-to-group edit system:serviceaccounts:managers -n top-secret

Suggestions for improvement: 

Additional information:

Comment 1 kedar 2019-01-15 05:24:47 UTC
Hello Team,

Any updates on this issue

Regards,
Kedar

Comment 3 Jeana Routh 2020-03-31 22:10:18 UTC
Made changes as described: Corrected the text as provided in description.
This can be reviewed here: https://github.com/openshift/openshift-docs/pull/20792 
Moving this bug to ON_QA

Comment 4 scheng 2020-04-01 02:56:01 UTC
Verified.

Comment 5 Jeana Routh 2020-04-01 13:27:42 UTC
PR merged directly into enterprise-3.11


Note You need to log in before you can comment on or make changes to this bug.